import { Elements, Utils, AppManager } from '@byondrnd/byond-web-lib';
export declare namespace VisualizerUtils {
    function createCubeMapElement(appManager: AppManager, renderOrder: number): Promise<Elements.Backgrounds.CubemapBackgroundImage>;
    function TextureAsPromise(imageOptions: Utils.Image.ImageOptions): () => Promise<import("three").Texture>;
}
